Subject: Re: Genart last call review of draft-ietf-bess-evpn-vpls-seamless-integ-05

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Tue, 22 Jan 2019 08:29:05 +0000

Peter,

Thanks for your review and your comments. Please refer to my replies below marked with "AS>".

On 12/19/18, 8:15 AM, "Pete Resnick" <[email-masked]> wrote:

    Reviewer: Pete Resnick
    Review result: Ready with Issues
    
    I am the assigned Gen-ART reviewer for this draft. The General Area
    Review Team (Gen-ART) reviews all IETF documents being processed
    by the IESG for the IETF Chair.  Please treat these comments just
    like any other last call comments.
    
    For more information, please see the FAQ at
    
    <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
    
    Document: draft-ietf-bess-evpn-vpls-seamless-integ-0
    Reviewer: Pete Resnick
    Review Date: 2018-12-19
    IETF LC End Date: 2018-12-18
    IESG Telechat date: Not scheduled for a telechat
    
    Summary: Ready with some nits, but one process issue/query.
    
    Major issues: None
    
    Minor issues:
    
    This document is intended for Proposed Standard. It doesn't have protocol as
    much as operational configuration information for integration. RFC 2026 section
    5 says:
    
       The BCP subseries of the RFC series is designed to be a way to
       standardize practices and the results of community deliberations.
       [...]
       Historically Internet standards have generally been concerned with
       the technical specifications for hardware and software required for
       computer communication across interconnected networks.  However,
       since the Internet itself is composed of networks operated by a great
       variety of organizations, with diverse goals and rules, good user
       service requires that the operators and administrators of the
       Internet follow some common guidelines for policies and operations.
    
    That sounds like what this document is doing. It also sounds like this document
    is unlike to advance to Internet Standard, as there's not the kind of iterative
    implementation that protocols go through. It's not a big deal either way, but
    this does seem better suited to a BCP.

AS> I added couple of sentences to the abstract and introduction explaining why this draft should be "standard". 
    
    Nits/editorial comments:
    
    Abstract: s/draft/document/g

AS> done
    
    Introduction: "Many Service Providers (SPs) who...". You don't use "SP"
    anywhere else in the document, and other places where you use the phrase it
    isn't capitalized. Suggest just saying "Many service providers who..."

AS> done
    
    §1, Definitions:
    
       (PBB-)VPLS: refers to both, PBB-VPLS and VPLS. As for EVPN, this
       abbreviation is used when the text applies to both technologies.
    
    It says EVPN in the second sentence. I don't understand. Did you mean VPLS?

AS> The intention was to say "just like EVPN, ... " However, this is creating some confusion. So, I changed it to:
" (PBB-)VPLS: refers to both, PBB-VPLS and VPLS. This document uses this abbreviation when a given description applies to both technologies."
    
    §2: The 4 "MUST"s and 1 "MAY" aren't requirements on the implementation;
    they're the requirements this document will satisfy. Seems like they shouldn't
    be capitalized.

AS> already corrected. Alvaro had the same comment.
    
    §3.2, second bullet, 3.4.1, last paragraph, §4.2, second bullet, and §4.4.1,
    last paragraph: Why are the "must"s not capitalized?
    
AS> already corrected. Thanks for noting them.

Cheers,
Ali